EVP_WHIRLPOOL(3)

NAME
EVP_whirlpool - WHIRLPOOL hash function for EVP

SYNOPSIS
#include <openssl/evp.h>
const EVP_MD *
EVP_whirlpool(void);

DESCRIPTION
WHIRLPOOL is a cryptographic hash function producing a message digest of 512 bits.

RETURN VALUES
EVP_whirlpool() returns a pointer to a static EVP_MD object implementing the WHIRLPOOL hash function.

SEE ALSO
evp(3), EVP_DigestInit(3)

STANDARDS
ISO/IEC 10118-3:2004

HISTORY
EVP_whirlpool() first appeared in OpenSSL 1.0.0 and has been available since OpenBSD 4.9.

AUTHORS
-nosplit The WHIRLPOOL algorithm was designed by Vincent Rijmen and Paulo S. L. M. Barreto.